# if we disable buildgnomeprint we must disable gtksourceview too, as gtksourceview
# pulls gnomeprintui
%define buildgnomeprint 1
%define build_evince 0
%define build_brasero 0
%define build_evolution 0

%define pygtk 2.10.3
%define gnomepython 2.10.0
%define oname gnome-python

Summary: GNOME Desktop bindings for Python
Name: gnome-python-desktop
Version: 2.32.0
Release: %mkrel 15
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%name-%{version}.tar.bz2
#gw link plparser wrapper with gtk until it was update for 2.29
Patch1: gnome-python-desktop-2.29.1-totem-plparser-add-gtk.patch
#pt From Fedora, fix build with Metacity 2.34.2
Patch2: gnome-python-desktop-2.32.0-metacity-build.patch
Patch3: gnome-python-desktop-2.32.0-automake-1.13.patch
URL: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python-desktop/
License: LGPLv2+ and GPLv2+
Group: Development/GNOME and GTK+
BuildRequires: pygtk2.0-devel >= %pygtk
BuildRequires: gnome-python-devel >= %gnomepython
BuildRequires: gnome-python-gconf >= %gnomepython
BuildRequires: python-devel >= 2.2
BuildRequires: libgnomeui2-devel >= 2.0.0
%if %{buildgnomeprint}
BuildRequires: gtksourceview1-devel >= 1.1.90
%endif
BuildRequires: libpanel-applet-devel >= 2.13.4
%if %{build_evolution}
BuildRequires: evolution-data-server-devel
%endif
BuildRequires: libwnck-devel >= 2.19.3
BuildRequires: librsvg-devel
BuildRequires: libgnome-keyring-devel >= 0.5.0
BuildRequires: gnome-desktop3-devel
BuildRequires: libgcrypt-devel
BuildRequires: bug-buddy
BuildRequires: libcanberra-devel
BuildRequires: x11-server-xvfb
BuildRequires: gnutls-devel
BuildRequires: libproxy-devel
BuildRequires: libcanberra-gtk-devel
Requires: gnome-python >= %gnomepython


%description
The gnome-python-desktop package contains the Python bindings for the
GNOME Desktop modules.

%if %{build_evolution}
%package -n %oname-evolution
Version: %{version}
Summary: Python bindings for Evolution
Group: Development/GNOME and GTK+
Requires: %name = %version

%description -n %oname-evolution
This module contains a wrapper that allows Evolution extensions to be
written in Python.
%endif

%if %{buildgnomeprint}
%package -n %oname-gtksourceview
Version: %{version}
Summary: Python bindings for Gtksourceview
Group: Development/GNOME and GTK+
Requires: %oname-gnomeprint = %version

%description -n %oname-gtksourceview
This module contains a wrapper that makes Gtksourceview available from Python.
%endif

%package -n %oname-gtop
Version: %{version}
Summary: Python bindings for Gtop
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libgtop2.0-devel >= 2.13

%description -n %oname-gtop
This module contains a wrapper that makes Gtop available from Python.

%if %build_brasero
%package -n %oname-brasero
Version: %{version}
Summary: Python bindings for Brasero
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: brasero-devel

%description -n %oname-brasero
This module contains a wrapper that makes Brasero available from Python.
%endif

%package -n %oname-totem
Version: %{version}
Summary: Python bindings for the Totem playlist parser
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libtotem-plparser-devel

%description -n %oname-totem
This module contains a wrapper that makes the Totem playlist parser
available from Python.

%package -n %oname-mediaprofiles
Version: %{version}
Summary: Python bindings for the GNOME media profiles
Group: Development/GNOME and GTK+
Requires: %name = %version
Requires: gnome-python-gconf >= %gnomepython
#BuildRequires: libcddb-slave2-devel

%description -n %oname-mediaprofiles
This module contains a wrapper that makes the GNOME media profiles library
available from Python.

%package -n %oname-metacity
Version: %{version}
Summary: Python bindings for the Metacity window manager
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libmetacity-private-devel >= 2.17.8

%description -n %oname-metacity
This module contains a wrapper that makes the Metacity window manager library
available from Python.

%if %{buildgnomeprint}
%package -n %oname-gnomeprint
Summary: Python bindings for interacting with gnomeprint and gnomeprintui
Group: Development/GNOME and GTK+
BuildRequires: libgnomeprintui-devel >= 2.8.0

%description -n %oname-gnomeprint
This module contains a wrapper that allows the use of gnomeprint and
gnomeprintui via python.
%endif

%if %build_evince
%package -n %oname-evince
Version: %{version}
Summary: Python bindings for the Evince document viewer
Group: Development/GNOME and GTK+
Requires: %name = %version
Obsoletes: python-evince
BuildRequires: libevince-devel >= 2.31.90

%description -n %oname-evince
This module contains a wrapper that makes the Evince document viewer library
available from Python.
%endif

%package -n %oname-gnomekeyring
Summary: Python bindings for interacting with gnome-keyring
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}
Requires: gnome-keyring >= 0.5.0

%description -n %oname-gnomekeyring
This module contains a wrapper that allows the use of gnome-keyring via Python.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --enable-metacity --disable-applet \
               --disable-evolution --disable-evolution_ecal \
               --disable-gnomedesktop
%make

%check
# Disabled due to http://bugzilla.gnome.org/show_bug.cgi?id=565593 :
# check fails against Python 2.6 due to Python issue #4244 - AdamW
# 2008/12
#xvfb-run make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%doc examples/rsvg examples/keyring* examples/wnck*
%defattr(755,root,root,755)
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%_libdir/pkgconfig/%name-2.0.pc
%py_platsitedir/gtk-2.0/wnck.so
%py_platsitedir/gtk-2.0/rsvg.so
%py_platsitedir/gtk-2.0/bugbuddy*

%if %{build_evolution}
%files -n %oname-evolution
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/evolution
%endif

%if %{buildgnomeprint}
%files -n %oname-gtksourceview
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gtksourceview.so
%doc %_datadir/gtk-doc/html/pygtksourceview
%endif

%files -n %oname-gtop
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gtop.so

%if %build_brasero
%files -n %oname-brasero
%defattr(755,root,root,755)
%doc examples/brasero*
%py_platsitedir/gtk-2.0/braseroburn.so
%py_platsitedir/gtk-2.0/braseromedia.so
%doc examples/braseromedia
%endif

%files -n %oname-totem
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/totem/

%files -n %oname-metacity
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/metacity.so

%if %{buildgnomeprint}
%files -n %oname-gnomeprint
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gnomeprint/
%_datadir/gtk-doc/html/pygnomeprint*
%endif

%if %build_evince
%files -n %oname-evince
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/evince.so
%endif

%files -n %{oname}-gnomekeyring
%{python_sitearch}/gtk-2.0/gnomekeyring.so



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.32.0-15.mga3
+ Revision: 352190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 2.32.0-14.mga3
+ Revision: 339137
- patch3: fix build with automake 1.13

* Thu Nov 29 2012 pterjan <pterjan> 2.32.0-13.mga3
+ Revision: 322784
- Patch from Fedora to build against recent metacity
- Disable evolution module, does not support recent eds

* Sat Nov 26 2011 wally <wally> 2.32.0-12.mga2
+ Revision: 172435
- rebuild for new evolution

* Sat Oct 29 2011 fwang <fwang> 2.32.0-11.mga2
+ Revision: 159516
- rebuild for new evo
- rebuild

  + dmorgan <dmorgan>
    - Disable applets
    - Clean spec file
    - Rebuild against new evolution-data-server

* Sun Jun 26 2011 dmorgan <dmorgan> 2.32.0-7.mga2
+ Revision: 113871
- Remove applet subpackage
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Rebuild against gnome 3

* Fri Feb 25 2011 ahmad <ahmad> 2.32.0-6.mga1
+ Revision: 59161
- system-config-printer is installable now so enable buildgnomeprint

* Mon Feb 21 2011 ahmad <ahmad> 2.32.0-5.mga1
+ Revision: 55123
- fix typo (spotted by mikala)

* Sun Feb 20 2011 ahmad <ahmad> 2.32.0-4.mga1
+ Revision: 55052
- disable buildgnomeprint for now, until new s-c-p is available
- wrong logic, disable the runtime BR of gnome-python-gnomekeyring in s-c-p for bootstrapping
- boostrap by disabling buildgnomeprint, so that s-c-p isn't required for now
- split gnomekeyring in a separate sub-package (s-c-p will require it)

* Thu Jan 20 2011 pterjan <pterjan> 2.32.0-2.mga1
+ Revision: 25747
- Drop nautilusburn support and old conflict
- imported package gnome-python-desktop

